# ej2-vue-querybuilder

The [Vue Query Builder](https://www.syncfusion.com/vue-ui-components/vue-query-builder?utm_source=npm&utm_medium=listing&utm_campaign=vue-query-builder-npm) is a rich and responsive UI for filtering large amounts of data by creating or editing conditions that can be combined with data visualization controls like DataGrid and Charts to view the filtered data. It outputs structured JSON filters that can be easily parsed to create SQL queries. It allows you to create conditions and group them using AND/OR logic.

![QueryBuilder](https://ej2.syncfusion.com/products/images/querybuilder/readme.gif)

> This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of Syncfusion's EULA (https://www.syncfusion.com/eula/es/). To acquire a license, you can purchase one at https://www.syncfusion.com/sales/products or start a free 30-day trial here (https://www.syncfusion.com/account/manage-trials/start-trials).

> A free community license (https://www.syncfusion.com/products/communitylicense) is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers.

## Setup

To install `QueryBuilder` and its dependent packages, use the following command

```sh
npm install @syncfusion/ej2-vue-querybuilder
```

## Components included

Following list of components are available in the package.

* QueryBuilder - `QueryBuilder` Query Builder component is a graphical user interface that allows users to create and edit filters. It outputs a structured JSON of filters that can be easily parsed to create SQL. It is integrated with Data Manager to communicate with data sources and returns the desired result based on the provided filter. It supports data binding, templates, validation, and horizontal and vertical orientation.

    * [Getting Started](https://ej2.syncfusion.com/vue/documentation/querybuilder/getting-started?utm_source=npm&utm_medium=listing&utm_campaign=vue-query-builder-npm)
    * [View Online Demos](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-query-builder-npm#/material/querybuilder/default.html)
    * [Product Page](https://www.syncfusion.com/vue-ui-components/vue-query-builder?utm_source=npm&utm_medium=listing&utm_campaign=vue-query-builder-npm)

## Supported Frameworks

These components are available in following list of frameworks.

1. [Angular Query Builder](https://www.syncfusion.com/angular-ui-components/angular-query-builder?utm_source=npm&utm_medium=listing&utm_campaign=vue-query-builder-npm)
2. [React Query Builder](https://www.syncfusion.com/react-ui-components/react-query-builder?utm_source=npm&utm_medium=listing&utm_campaign=vue-query-builder-npm)
3. [JavaScript Query Builder](https://www.syncfusion.com/javascript-ui-controls/js-query-builder?utm_source=npm&utm_medium=listing&utm_campaign=vue-query-builder-npm)
4. [ASP.NET Core Query Builder](https://www.syncfusion.com/aspnet-core-ui-controls/query-builder?utm_source=npm&utm_medium=listing&utm_campaign=vue-query-builder-npm)
5. [ASP.NET MVC Query Builder](https://www.syncfusion.com/aspnet-mvc-ui-controls/query-builder?utm_source=npm&utm_medium=listing&utm_campaign=vue-query-builder-npm)

## Key Features

### QueryBuilder

- **Data binding**: It auto populates the data source and maps the data to the appropriate fields.

- **Template**: Supports templates and it is applicable for all input components.

- **Queries**: Queries supports JSON/SQL rules.

## Support

Product support is available for through following mediums.

* Creating incident in Syncfusion [Direct-trac](https://www.syncfusion.com/support/directtrac/incidents?utm_source=npm&utm_medium=listing&utm_campaign=vue-query-builder-npm) support system or [Community forum](https://www.syncfusion.com/forums?utm_source=npm&utm_medium=listing&utm_campaign=vue-query-builder-npm).
* New [GitHub issue](https://github.com/syncfusion/ej2-vue-ui-components/issues/new?utm_source=npm&utm_medium=listing&utm_campaign=vue-query-builder-npm).
* Ask your query in [Stack Overflow](https://stackoverflow.com/?utm_source=npm&utm_medium=listing&utm_campaign=vue-query-builder-npm) with tag `syncfusion`, `ej2`.

## License

Check the license detail [here](https://github.com/syncfusion/ej2-vue-ui-components/blob/master/license?utm_source=npm&utm_medium=listing&utm_campaign=vue-query-builder-npm).

## Changelog

Check the changelog [here](https://github.com/syncfusion/ej2-vue-ui-components/blob/master/components/querybuilder/CHANGELOG.md?utm_source=npm&utm_medium=listing&utm_campaign=vue-query-builder-npm)

© Copyright 2022 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.
